| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GaudiPython::TupleAlgDecorator Class Reference

Simple class to perform the "decoration" of Tuples in Python/ROOT. More...

`#include <GaudiPython/TupleDecorator.h>`

## Static Public Member Functions
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...

## Detailed Description

Simple class to perform the "decoration" of Tuples in Python/ROOT.

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2005-08-17

Definition at line 446 of file TupleDecorator.h.

## Member Function Documentation

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 674 of file TupleDecorator.cpp.

677 {
678 return algo.evtCol ( title , clid ) ;
679 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:184

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 682 of file TupleDecorator.cpp.

686 {
687 return algo.evtCol ( ID , title , clid ) ;
688 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:184

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 691 of file TupleDecorator.cpp.

695 {
696 return algo.evtCol ( ID , title , clid ) ;
697 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:184

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 700 of file TupleDecorator.cpp.

704 {
705 return algo.evtCol ( ID , title , clid ) ;
706 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:184

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 639 of file TupleDecorator.cpp.

642 {
643 return algo.nTuple ( title , clid ) ;
644 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:146

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 647 of file TupleDecorator.cpp.

651 {
652 return algo.nTuple ( ID , title , clid ) ;
653 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:146

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 656 of file TupleDecorator.cpp.

660 {
661 return algo.nTuple ( ID , title , clid ) ;
662 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:146

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 665 of file TupleDecorator.cpp.

669 {
670 return algo.nTuple ( ID , title , clid ) ;
671 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:146

The documentation for this class was generated from the following files:

- GaudiPython/GaudiPython/TupleDecorator.h
- GaudiPython/src/Lib/TupleDecorator.cpp